<?php

namespace Inc\Pages;



class AdminOptionsPage
{



    public function register(){



        add_action( 'admin_menu', array($this, 'add_options_admin_pages') );

        add_filter( "plugin_action_links_" . PLUGIN_NAME , array($this,'filter_link_settings') );
    }

    /**
     * Add admin options page.
     */
    public function add_options_admin_pages(){

        // Add menu settings page
        add_menu_page( 'Deliver Plugin', 'דליבר', 'manage_options', 'deliver_plugin_settings', function(){ require_once PLUGIN_PATH . 'templates/admin_options_page.php';}, 'dashicons-store', 110 );
        

        // Add options settings
        add_option( 'deliver_token', '');
        register_setting( 'deliver_options_group', 'deliver_token', 'deliver_callback' );

    }


    public function filter_link_settings($links){
        $settings_link = '<a href="admin.php?page=deliver_plugin_settings">Settings</a>';
        array_push($links, $settings_link);
        return $links;
    }





}