<?php


namespace Inc\Base;


class Activate
{
    public static function activate(){
        flush_rewrite_rules();
        Activate::tables_create();
    }

    /**
     * Create table in db.
     */
    public static function tables_create(){
        
        global $wpdb;

        $tblname = 'deliver';
        $wp_track_table = $wpdb->prefix . "$tblname";
    
        if($wpdb->get_var( "show tables like '$wp_track_table'" ) != $wp_track_table) 
        {
    
            $sql = "CREATE TABLE `". $wp_track_table ."` ( ";
            $sql .= "  `wcOrderId`  int(11)   NOT NULL , ";
            $sql .= "  `deliverOrderId`  int(128)   NOT NULL";
            $sql .= ")";
            require_once( ABSPATH . '/wp-admin/includes/upgrade.php' );
            dbDelta($sql);
        }

    }
    
}